# HFLAT -- Divide hectospec image by pixel normalization file from apflatten
# By Doug Mink, SAO Telescope Data Center
# February 22, 2008

procedure hflat (images)

string	images = ""	{prompt="Input multispec image(s) to correct"}
string	normfile=""	{prompt="Pixel to pixel normalization file from apflatten"}
bool deltemp = no	{prompt="Delete temporary files (y or n)"}
bool saveold = yes	{prompt="Save original file to Nonorm/ (y or n)"}
bool verbose = yes	{prompt="Log progress (y or n)"}

struct	*flatlist

begin
	bool vb
	file imin, imout, imroot, imnorm, newfile, templist
	int lroot
	string history, ims, tchar

	ims = images
	vb = verbose
	imnorm = normfile


#  Make temporary list of input files
        templist = mktemp ("flatlist")
        files (ims, >templist)

#  Flat files from list
        flatlist = templist
        while (fscan (flatlist,imin) != EOF) {
	    hflat1 (imin, normfile=imnorm, saveold=sv, verbose=vb)
	    }

	if (deltemp) {
	    delete (templist)
	    }
	flatlist = ""
end
# Jun 16 2004	Change name form HNORM2 to HFLAT
# Jun 16 2004	Move original file to Unflat/, not Nonorm/
# Sep  2 2004	Allow multiple images to be processed at once
# Sep  2 2004	Test history keyword to avoid rerunning program on file
# Oct 18 2004	If image has already been flattened, print value of HFLAT

# Mar 29 2005   WFW - Fix bug in creating imout name

# Feb 20 2008	Read files from flatlist instead of list
# Feb 22 2008	Call HFLAT1 to process each image
