# HMSPLIT -- Split list of mulstispec files into 1-D spectra using HSPLIT
# By Doug Mink, SAO Telescope Data Center
# February 15, 2008

procedure hmsplit (images)

string	images = ""	{prompt="Input multispec files to split"}
bool	deltemp=yes	{prompt="Delete intermediate image files (y or n)"}
bool	verbose = yes	{prompt="Log progress (y or n)"}
bool	debug = no	{prompt="Log progress (y or n)"}

begin
	bool vb, db
	file templist, imin
	string ims

	ims = images
	vb = verbose
	db = debug

	if (ims == "") {
	    print ("HABSKY:  Divide extracted multispec spectra by sky absorption spectrum")
	    print ("Usage: habsky <input images>")
	    return
	    }

	if (!defpac ("wcstools")) {
	    wcstools (motd=no)
	    }


#  Make temporary list of input files
	templist = mktemp ("tempsplit") // ".list"
	files (ims, >templist)
	list = templist
	hsplit.deltemp = deltemp
	hsplit.verbose = verbose
	hsplit.debug = debug
	while (fscan (list,imin) != EOF) {
	    hsplit (imin)
	    }

	if (deltemp) {
	    delete (templist)
	    }
end

# Feb 15 2008	New program
