# File hectospec/Scripts/hskydb.cl
# By Doug Mink, after Bill Wyatt
# September 27, 2007

procedure hskydb (inlist)

file	inlist="sky.db"	{prompt="File of file names to list"}

file	destdir=""	{prompt="Name of directory for sky-subtracted output"}
file	skydir=""	{prompt="Name of directory with 1-d sky spectra"}
bool	deltemp=yes	{prompt="Delete temporary files (y or n)"}
bool	verbose=yes	{prompt="Note progress"}
bool	debug=no	{prompt="Note progress in detail"}

begin
	bool vb, dt, db
	string comlist,filelist, args
	string tline1, tline2,ts1,ts2,ts3,ts4,ts5
	file skylist, skysub, skyavg, imsky, skydb, ddir, sdir
	int insky, nsky0, ap, fib
	real fibx, fiby, fibr

	dt = deltemp
	vb = verbose
	db = debug
	skylist = inlist
	if (!access (skylist)) {
	    print ("HSKYDB: Cannot read list file ",skylist)
	    return
	    }
	ddir = destdir
	fixdir (ddir)
	ddir = fixdir.newdir
	sdir = skydir
	fixdir (sdir)
	sdir = fixdir.newdir

# If sky db file has already been made, return
	skydb = ddir // "skylist.db"
	if (access (skydb)) {
	    if (vb) {
		print ("HSKYDB: skylist.db already exists")
		}
	    return
	    }

# Make temporary files to list spectra
	filelist = mktemp ("tempfilelist")
	comlist = "@" // filelist
	if (access (filelist))
	    delete (filelist)

# Make file containing list of spectrum names
	list = inlist
	if (fscan (list, ts1,ts2,ts3,ts4,ts5) != EOF) {
            if (fscan (list, ts1,ts2,ts3,ts4,ts5) != EOF) {
		}
            }
	insky = 0
	while (fscan (list, imsky, ap, fib, fibx, fiby, fibr) != EOF) {
	    insky = insky + 1
	    if (db)
		print (insky,": ", imsky)
	    imsky = sdir // imsky
	    files (imsky, >>filelist)
	    }

	if (vb) {
		print ("HSKYDB: Making skylist.db")
		}
	if (!defpac ("wcstools"))
	    wcstools (motd=no)
	print ("filename	ap	chip	mean	stdev	rabs 	rem 	rhigh", >skydb)
	print ("-----------	---	----	-------	------	-----	-----	-----", >>skydb)
	args = "-tu @" // filelist // " aperture chipnum skymean skystdev"
	args = args // " skyxcabs,3 skyxcem,3 skyxr"
	gethead (args, >>skydb)

# Delete temporary files
	if (dt) {
	    delete (filelist)
	    }
	return

end
# Sep 27 2007	New task split off from hskyfind.cl
