# File hectospec/Src/t_getrange.x
# November 5, 2003
# Main program by Doug Mink, Harvard-Smithsonian Center for Astrophysics

# T_GETRANGE -- return nth value from range string (positive values only), else 0

include <ctype.h>
include	<mach.h>

define	MAX_RANGES	50

int procedure t_getrange()

char	range[SZ_LINE]
int	ranges[3, MAX_RANGES]
int	irange, inum, ival, nvalues, maxranges, ierr, ir, ix
bool	verbose, clgetb()
int	decode_ranges(), clgeti()

begin
	maxranges = MAX_RANGES
	verbose = clgetb ("verbose")

	call clgstr ("range", range, SZ_LINE);
	ierr = decode_ranges (range, ranges, maxranges, nvalues)
	call clputi ("nval", nvalues)

	irange = clgeti ("irange")
	inum = 0
	do ir = 1, maxranges {
	    if (ranges[1,ir] < 1) {
		ival = 0
		call clputi ("ival", ival)
		if (verbose) {
		    call printf ("GETRANGE: value %d is out of range\n")
			    call pargi (irange)
		    }
		return (ival)
		}
	    for (ix = ranges[1,ir]; ix <= ranges[2,ir]; ix = ix + ranges[3,ir]) {
		inum = inum + 1
		ival = ix
#		if (verbose) {
#		    call printf ("GETRANGE: %d %d: range %d: %d\n")
#			call pargi (irange)
#			call pargi (inum)
#			call pargi (ir)
#			call pargi (ival)
#		    }
		if (inum == irange) {
		    call clputi ("ival", ival)
		    if (verbose) {
			call printf ("GETRANGE: value %d in %s is %d\n")
			    call pargi (irange)
			    call pargstr (range)
			    call pargi (ival)
			}
		    return (ival)
		    }
		}
	    }

	return
end

# Nov  5 2003	New task
