#{ HECTOSPEC package definition

noao
onedspec
imred
specred
mscred
astutil

s1 = envget ("min_lenuserarea")
if (s1 == "")
    reset min_lenuserarea = 100000
else if (int (s1) < 100000)
    reset min_lenuserarea = 100000

# Define HECTOSPEC package
set	hectbin		= "hectospec$bin(arch)/"
set	hectscripts	= "hectospec$Scripts/"
set	hectsrc		= "hectospec$Src/"
package hectospec, bin=hectbin$

task	centerpars	= "hectospec$centerpars.par"
task	datapars	= "hectospec$datapars.par"

# Fiber reduction script tasks
task	dohspec		= "hectscripts$dohspec.cl"
task	params		= "hectospec$params.par"
task	proc		= "hectscripts$proc.cl"
task	fibresponse	= "hectscripts$fibresponse.cl"
task	arcrefs		= "hectscripts$arcrefs.cl"
task	doarcs		= "hectscripts$doarcs.cl"
task	doalign		= "hectscripts$doalign.cl"
task	skysub		= "hectscripts$skysub.cl"
task	batch		= "hectscripts$batch.cl"
task	listonly	= "hectscripts$listonly.cl"
task	doredleak	= "hectscripts$doredleak.cl"
task	redleakcorr	= "hectscripts$redleakcorr.cl"
task	chipmerge	= "hectscripts$chipmerge.cl"
task	habsky		= "hectscripts$habsky.cl"
task	habsky1		= "hectscripts$habsky1.cl"
task	habsky1a	= "hectscripts$habsky1a.cl"
task	haddshift	= "hectscripts$haddshift.cl"
task	hapnum   	= "hectscripts$hapnum.cl"
task	hback		= "hectscripts$hback.cl"
task	hback1		= "hectscripts$hback1.cl"
task	hcal		= "hectscripts$hcal.cl"
task	hclean		= "hectscripts$hclean.cl"
task	hcombine	= "hectscripts$hcombine.cl"
task	hcosmed		= "hectscripts$hcosmed.cl"
task	hdisp1		= "hectscripts$hdisp1.cl"
task	hextract	= "hectscripts$hextract.cl"
task	hextract1	= "hectscripts$hextract1.cl"
task	hfibarea	= "hectscripts$hfibarea.cl"
task	hfixwcs		= "hectscripts$hfixwcs.cl"
task	hflat		= "hectscripts$hflat.cl"
task	hflat1		= "hectscripts$hflat1.cl"
task	hgeom		= "hectscripts$hgeom.cl"
task	hgeom1		= "hectscripts$hgeom1.cl"
task	hlin		= "hectscripts$hlin.cl"
task	hlin1		= "hectscripts$hlin1.cl"
task	hmerge		= "hectscripts$hmerge.cl"
task	hmerge1		= "hectscripts$hmerge1.cl"
task	hmshift		= "hectscripts$hmshift.cl"
task	hcosmic		= "hectscripts$hcosmic.cl"
task	hnorm		= "hectscripts$hnorm.cl"
task	hpreamp		= "hectscripts$hpreamp.cl"
task	hpreamp1	= "hectscripts$hpreamp1.cl"
task	hproc		= "hectscripts$hproc.cl"
task	hproc1		= "hectscripts$hproc1.cl"
task	hredleak1	= "hectscripts$hredleak1.cl"
task	hrefit		= "hectscripts$hrefit.cl"
task	hreport		= "hectscripts$hreport.cl"
task	hreport1	= "hectscripts$hreport1.cl"
task	hscombine	= "hectscripts$hscombine.cl"
task	hsmix		= "hectscripts$hsmix.cl"
task	hskyshift	= "hectscripts$hskyshift.cl"
task	hpixshift	= "hectscripts$hpixshift.cl"
task	hpixshift1	= "hectscripts$hpixshift1.cl"
task	hshift		= "hectscripts$hshift.cl"
task	hspecfit	= "hectscripts$hspecfit.cl"
task	hspecfit1	= "hectscripts$hspecfit1.cl"
task	hspectext	= "hectscripts$hspectext.cl"
task	hstack		= "hectscripts$hstack.cl"
task	hsplit		= "hectscripts$hsplit.cl"
task	hmsplit		= "hectscripts$hmsplit.cl"
task	hsplite		= "hectscripts$hsplite.cl"
task	hskyfilt	= "hectscripts$hskyfilt.cl"
task	hskyfind	= "hectscripts$hskyfind.cl"
task	hskyfit1	= "hectscripts$hskyfit1.cl"
task	hskydb		= "hectscripts$hskydb.cl"
task	hskylist	= "hectscripts$hskylist.cl"
task	hskyproc	= "hectscripts$hskyproc.cl"
task	hskysub1	= "hectscripts$hskysub1.cl"
task	htran		= "hectscripts$htran.cl"
task	htrana		= "hectscripts$htrana.cl"
task	htran1		= "hectscripts$htran1.cl"
task	imroot		= "hectscripts$imroot.cl"
task	makeflat	= "hectscripts$makeflat.cl"
task	makenorm	= "hectscripts$makenorm.cl"
task	maketest	= "hectscripts$maketest.cl"
task	maketran	= "hectscripts$maketran.cl"
task	compshift	= "hectscripts$compshift.cl"
task	compshift1	= "hectscripts$compshift1.cl"
task	gaincorr	= "hectscripts$gaincorr.cl"
task	hgain1		= "hectscripts$hgain1.cl"
task	getspec		= "hectscripts$getspec.cl"
task	resub		= "hectscripts$resub.cl"

task	fxstat		= "hectscripts$fxstat.cl"
task	relearn		= "hectscripts$relearn.cl"
task	hrelearn	= "hectscripts$hrelearn.cl"

task	$idcombine	= "$"//osfn('hectospec$idcombine')
task	$hsplitsh	= "$"//osfn('hectscripts$hsplit.ksh')
task	$shiftap	= "$"//osfn('hectscripts$shiftap.ksh')
task	hemapfix	= "hectscripts$hemapfix.cl"
task	$hemapf		= "$"//osfn('hectscripts$hemapfix.awk')
task	hsmapfix	= "hectscripts$hsmapfix.cl"
task	$hsmapf		= "$"//osfn('hectscripts$hsmapfix.awk')
task	hsmapfix172	= "hectscripts$hsmapfix172.cl"
task	$hsmapf172	= "$"//osfn('hectscripts$hsmapfix172.awk')
task	hsmapfix222	= "hectscripts$hsmapfix222.cl"
task	$hsmapf222	= "$"//osfn('hectscripts$hsmapfix222.awk')

task	$sed            = $sed

# Hectospec SPP tasks
task	aperid,
	freidentify,
	fibarea,
	filename,
	fileroot,
	fixdir,
	getrange,
	gettime,
	haphead,
	hcosbad,
	hcoslim,
	hskymatch,
	preamp1,
	imgetp,
	istat,
	reref,
	skycal,
	cleanstr,
	padstr,
	round,
	smatch		= "hectospec$x_hectospec.e"

# Hectospec parameter sets
task	skxcsao		= "hectospec$skxcsao.par"
task	skemsao		= "hectospec$skemsao.par"
task	skpxcsao	= "hectospec$skpxcsao.par"
task	skpemsao	= "hectospec$skpemsao.par"
task	skcontpars	= "hectospec$skcontpars.par"
task	skimarith	= "hectospec$skimarith.par"
task	skimcombine	= "hectospec$skimcombine.par"
task	skimdelete	= "hectospec$skimdelete.par"
task	skimexpr	= "hectospec$skimexpr.par"
task	skimrename	= "hectospec$skimrename.par"
task	skimstack	= "hectospec$skimstack.par"
task	skimstatistics	= "hectospec$skimstatistics.par"
task	skistat		= "hectospec$skistat.par"
task	sksvdres	= "hectospec$sksvdres.par"

# Package shell tasks
task	$skyprocksh	= "$"//osfn('hectscripts$skyproc.ksh')
task	skyproc		= "hectscripts$skyproc.cl"
task	hsktask		= "hectscripts$hsktask.cl"
task	$hsksed		= "$" // osfn('hectscripts$hsksed.sh')

# Hide tasks from the user
hidetask params, proc, batch, arcrefs, doarcs, doalign, gettime
hidetask listonly, fibresponse, getspec, hsplitsh, skyprocksh
hidetask hsmapf, hsmapf172, hsmapf222

# Startup message
hectospec.newversion = "HECTOSPEC V3.5.4: February 29, 2008"
if (hectospec.verbose) {
    if (hectospec.newversion == hectospec.version)
	type hectospec$hectospec.msg
    else
	type hectospec$hectupdate.msg
    }
;
clbye()
